Tagged: avid media composer 8.4 4 system requirements